goalFollowPerson.mSteps = 
{
	{ action = "click", object = objectExitWoods1Lakeside, started = true },
	{ action = "click", object = objectExitLakesideWoods2, started = true },
	{ action = "click", object = objectPoiEnigma, state = kActive },
	{ action = "click", object = objectExitWoods2Cemetery, state = kActive },
	{ action = "click", object = objectExitCemeteryCrypt, state = kActive },
}

goalFollowPerson.readyToStart = false
goalFollowPerson.shadowSeenAtLakeside = false
goalFollowPerson.fenceSparkled = false
goalFollowPerson.thinkBoathouse = false
-- ----------------------------------------------------------------------------
function goalFollowPerson:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalFollowPerson:onMovieFinish(movieName)

	if (movieName == kMovieCarfix) then
		self.readyToStart = true
	end
	
end
-- ----------------------------------------------------------------------------
function goalFollowPerson:onLayoutShow(layout)
	
	if (self:isStarted() and (not self:isFinished())) then
	
		if (layout == layoutLakeside) then
			if (self.shadowSeenAtLakeside == false) then
				think("MESSAGE_LAKESIDE_ISTHATYOU")	-- Possibly move this to onAnimationFinish
				self.shadowSeenAtLakeside = true
			end
			
		elseif (layout == layoutWoods2 and self.shadowSeenAtLakeside) then
			if (objectPoiEnigma:isLocked()) then
				if (self.thinkBoathouse == false) then
					-- woods2
					objectPaperFence:ss(kIdle)
					layoutWoods2:animPaper()
					-- cemetery fence
					objectPoiFencePaper:ss(kActive)
					objectCemeteryFencePaper:ss(kIdle)
					layoutCemeteryFence:animPaper()
					-- boathouse
					objectPoiEnigma:ss(kActive)
					objectBoathouseRedFlashingLight:ss(kIdle)
					layoutBoathouse:animRedLight()
					-- enigma
					objectPoiCardJigsaw:ss(kLocked)
					objectRedFlashingLight:ss(kIdle)	
					layoutBoathouseEnigma:animRedLight()
					-- lakeside
					objectEnigmaLightAntenna:ss(kIdle)
					layoutLakeside:animRedLight()
					-- think					
					think("MESSAGE_CHECKOUT_BOATHOUSE")
					self.thinkBoathouse = true
				end
			end
			
		elseif (layout == layoutCrypt) then
			self:achieved()
			
		end
	
	end
	
end